# $Revision: 1.133 $, $Date: 2012/06/14 17:45:00 $
#
# Conditional build:
%bcond_without	emacs	# without emacs subpackage
%bcond_without	x	# without X11 support 
%bcond_without	tk	# without Tcl/Tk support
#
# --without x11 implies --without tk
%{!?with_x:%undefine	with_tk}

%define		p4ver	3.06
%define		sver	3.12

Summary:	The Objective Caml compiler and programming environment
Summary(pl.UTF-8):	Kompilator OCamla (Objective Caml) oraz środowisko programistyczne
Name:		ocaml
Version:	3.12.1
Release:	10
Epoch:		1
License:	distributable
Group:		Development/Languages
Source0:	http://caml.inria.fr/distrib/%{name}-%{sver}/%{name}-%{version}.tar.bz2
# Source0-md5:	227a3daaedb150bf5037a3db01f5bf42
Source1:	http://caml.inria.fr/distrib/%{name}-%{sver}/%{name}-%{sver}-refman.html.tar.gz
# Source1-md5:	93cd91f525441eb7e94cc49b9b64bab0
Source2:	http://caml.inria.fr/distrib/%{name}-%{sver}/%{name}-%{sver}-refman.ps.gz
# Source2-md5:	a9c17db6ffd400c5ea00c6d51cbf56bf
Source3:	http://caml.inria.fr/distrib/%{name}-%{sver}/%{name}-%{sver}-refman.info.tar.gz
# Source3-md5:	8cf24c4f69c6f9c9f9cc1edb9b18f6cb
Source4:	ftp://ftp.inria.fr/INRIA/Projects/cristal/camlp4/camlp4-%{p4ver}-manual.html.tar.gz
# Source4-md5:	21370bae4e7f6435b38aeb21db7ce8bb
Source5:	ftp://ftp.inria.fr/INRIA/Projects/cristal/camlp4/camlp4-%{p4ver}-manual.dvi.gz
# Source5-md5:	035915d1a530aa7ec9b194d9a7d258eb
Source6:	ftp://ftp.inria.fr/INRIA/Projects/cristal/camlp4/camlp4-%{p4ver}-tutorial.html.tar.gz
# Source6-md5:	96d8eb4ca5abd58c9a280ba59f73b192
Source7:	ftp://ftp.inria.fr/INRIA/Projects/cristal/camlp4/camlp4-%{p4ver}-tutorial.dvi.gz
# Source7-md5:	fcd87c235109364242a0c9ccf176dff8
Source8:	http://www.ocaml.info/ocaml_sources/pure-fun-1.0.6.tar.bz2
# Source8-md5:	94eac3fa1ac51b8ada344b04839cb43c
Source9:	http://www.ocaml.info/ocaml_sources/ds-contrib.tar.gz
# Source9-md5:	77fa1da7375dea1393cc0b6cd802d7e1
Patch0:		%{name}-db3.patch
Patch1:		%{name}-CFLAGS.patch
Patch2:		%{name}-as_needed.patch
Patch3:		%{name}-gas.patch
URL:		http://caml.inria.fr/
BuildRequires:	db-devel >= 4.1
%{?with_tk:BuildRequires:	tk-devel}
%{?with_x:BuildRequires:	xorg-lib-libX11-devel}
%if %{with emacs}
BuildRequires:	sed >= 4.0
BuildRequires:	emacs
BuildRequires:	emacs-common
%endif
Requires:	%{name}-runtime = %{epoch}:%{version}-%{release}
Provides:	ocaml-ocamldoc
Obsoletes:	ocaml-ocamldoc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%description
Objective Caml is a high-level, strongly-typed, functional and
object-oriented programming language from the ML family of languages.

This package comprises two batch compilers (a fast bytecode compiler
and an optimizing native-code compiler), an interactive toplevel
system, Lex&Yacc tools, a replay debugger, and a comprehensive
library.

%description -l pl.UTF-8
OCaml (Objective Caml) jest funkcyjnym, obiektowo zorientowanym językiem
wysokiego poziomu z silnym typowaniem. Należy do rodziny języków ML.

Ten pakiet zawiera dwa kompilatory (szybki kompilator do bajtkodu
oraz optymalizujący kompilator do kodu natywnego), interaktywne środowisko
pracy, narzędzia do tworzenia analizatorów leksykalnych oraz składniowych
(ocamllex, ocamlyacc), odpluskwiacz (ocamldebug) i biblioteki.

%package runtime
Summary:	Runtime system for OCaml
Summary(pl.UTF-8):	Środowisko uruchomieniowe dla OCamla
Group:		Libraries

%description runtime
This package contains binaries needed to run bytecode OCaml programs:
ocamlrun bytecode interpreter, and basic dynamic link libraries.

%description runtime -l pl.UTF-8
Pakiet ten zawiera binaria potrzebne do uruchamiania programów w
OCamlu skompilowanych do bajtkodu: interpreter bajtkodu (ocamlrun) oraz
podstawowe biblioteki linkowane dynamicznie.

%package lib-source
Summary:	Sources of OCaml standard library
Summary(pl.UTF-8):	Źródła biblioteki standardowej OCamla
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description lib-source
This sources come helpful during debugging of user programs with ocamldebug.

%description lib-source -l pl.UTF-8
Źródła te są przydatne przy odpluskwianiu programów użytkownika
z użyciem ocamldebug.

%package doc-html
Summary:	HTML documentation for OCaml
Summary(pl.UTF-8):	Dokumentacja dla OCamla w formacie HTML
Group:		Development/Tools

%description doc-html
HTML documentation for OCaml.

%description doc-html -l pl.UTF-8
Dokumentacja dla OCamla w formacie HTML.

%package doc-ps
Summary:	PostScript documentation for OCaml
Summary(pl.UTF-8):	Dokumentacja dla OCamla w formacie PostScript
Group:		Development/Tools

%description doc-ps
PostScript documentation for OCaml.

%description doc-ps -l pl.UTF-8
Dokumentacja dla OCamla w formacie PostScript.

%package doc-info
Summary:	Info documentation for OCaml
Summary(pl.UTF-8):	Dokumentacja info dla OCamla
Group:		Development/Tools

%description doc-info
Info documentation for OCaml.

%description doc-info -l pl.UTF-8
Dokumentacja info dla OCamla.

%package emacs
Summary:	Emacs mode for OCaml
Summary(pl.UTF-8):	Tryb OCamla dla Emacsa
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description emacs
Emacs mode files for Objective Caml language.

%description emacs -l pl.UTF-8
Pliki trybu OCamla dla Emacsa.

%package labltk
Summary:	Runtime for LablTk library
Summary(pl.UTF-8):	Środowisko uruchomieniowe dla biblioteki LablTk
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description labltk
LablTk gives OCaml program access to Tcl/Tk GUI widgets. This package
contains files needed to run bytecode OCaml programs using LablTk.

%description labltk -l pl.UTF-8
Biblioteka LablTk daje programom napisanym w OCamlu dostęp do widgetów
Tcl/Tk. Pakiet ten zawiera binaria potrzebne do uruchamiania programów
używających LablTk.

%package labltk-devel
Summary:	LablTk library for OCaml
Summary(pl.UTF-8):	Biblioteka LablTk dla OCamla
Group:		Development/Libraries
Requires:	%{name}-labltk = %{epoch}:%{version}-%{release}

%description labltk-devel
LablTk gives OCaml program access to Tcl/Tk GUI widgets. This package
contains files needed to develop OCaml programs using LablTk.

%description labltk-devel -l pl.UTF-8
Biblioteka LablTk daje programom napisanym w OCamlu dostęp do widgetów
Tcl/Tk. Pakiet ten zawiera pliki niezbędne do tworzenia programów
używających LablTk.

%package x11graphics
Summary:	X11 graphic output for OCaml
Summary(pl.UTF-8):	Dostęp do X11 dla OCamla
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description x11graphics
x11graphics module gives OCaml program access to drawing in X11
windows. This package contains files needed to run bytecode OCaml
programs using x11graphics.

%description x11graphics -l pl.UTF-8
Moduł x11graphics daje programom napisanym w OCamlu możliwość
korzystania z interfejsu graficznego X11. Pakiet ten zawiera binaria
potrzebne do uruchamiania programów używających x11graphics.

%package x11graphics-devel
Summary:	X11 graphic output for OCaml
Summary(pl.UTF-8):	Dostęp do X11 dla OCamla
Group:		Development/Libraries
Requires:	%{name}-x11graphics = %{epoch}:%{version}-%{release}

%description x11graphics-devel
x11graphics module gives OCaml program access to drawing in X11
windows. This package contains files needed to develop OCaml programs
using x11graphics.

%description x11graphics-devel -l pl.UTF-8
Moduł x11graphics daje programom napisanym w OCamlu możliwość
korzystania z interfejsu graficznego X11. Pakiet ten zawiera pliki
niezbędne do tworzenia programów używających x11graphics.

%package camlp4
Summary:	Objective Caml Preprocessor
Summary(pl.UTF-8):	Preprocesor OCamla
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	camlp4 = %{epoch}:%{version}-%{release}
Obsoletes:	camlp4

%description camlp4
Camlp4 is a Pre-Processor-Pretty-Printer for Objective Caml. It offers
tools for syntax (grammars) and the ability to modify the concrete
syntax of the language (quotations, syntax extensions).

Camlp4 can parse normal Ocaml concrete syntax or any other
user-definable syntax. As an example, an alternative syntax is
provided, named revised, because it tries to fix some small problems
of the normal syntax.

Camlp4 can pretty print the normal Ocaml concrete syntax or the
revised one. It is therefore always possible to have a version of your
sources compilable by the Objective Caml compiler without
preprocessing.

%description camlp4 -l pl.UTF-8
Camlp4 jest preprocesorem OCamla. Oferuje narzędzia do manipulowania
składnią (gramatyki) oraz możliwość modyfikowania oryginalnej składni
języka (cytowania, rozszerzenia).

Camlp4 może sparsować oryginalną składnię Ocamla lub dowolną inną
definiowalną przez użytkownika. Jako przykład podana jest alternatywna
składnia (revised syntax), która próbuje poprawić drobne problemy
występujące w składni oryginalnej.

Camlp4 umie ładnie formatować źródła zarówno w oryginalnej jak i
poprawionej składni OCamla. Potrafi także tłumaczyć programy z jednej
składni na drugą.

%package camlp4-doc-html
Summary:	Objective Caml Preprocessor - HTML documentation 
Summary(pl.UTF-8):	Preprocesor OCamla - dokumentacja HTML 
Group:		Development/Languages

%description camlp4-doc-html
Objective Caml Preprocessor - HTML documentation.

%description camlp4-doc-html -l pl.UTF-8
Preprocesor OCamla - dokumentacja HTML.

%package compiler-objects
Summary:	Compiled parts of OCaml compiler
Summary(pl.UTF-8):	Skompilowane części kompilatora OCamla
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	ocaml-devel
Provides:	ocaml-devel

%description compiler-objects
This package contains *.cmi and *.cmo files being parts of OCaml
compiler. They are needed to compile some programs.

%description compiler-objects -l pl.UTF-8
Pakiet ten zawiera pliki *.cmi oraz *.cmo będące częściami kompilatora
OCamla. Są one wymagane do kompilacji niektórych programów.

%package ocamldoc-devel
Summary:	Files needed to develop programs using ocamldoc
Summary(pl.UTF-8):	Pliki potrzebne do tworzenia programów używających ocamldoc
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ocamldoc-devel
You need this package if you are going to write ocamldoc front end or
something like that.

%description ocamldoc-devel -l pl.UTF-8
Będziesz potrzebować tego pakietu, jeśli zamierzasz pisać front end
dla ocamldoc lub coś podobnego.

# maybe we'll want to add some more stuff here?
%package examples
Summary:	Example source code for OCaml
Summary(pl.UTF-8):	Przykładowe kody źródłowe w OCamlu
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description examples
This packages contains sources for Okasaki's Purely Functional
Datastructures in OCaml, along with some contributions.

%description examples -l pl.UTF-8
Pakiet ten zawiera źródła Czysto Funkcyjnych Struktur Danych
autorstwa Okasaki'ego, napisane w OCamlu, wraz z dodatkami.

%prep
%setup -q -a1 -a3 -a4 -a6
mkdir examples
tar xjf %{SOURCE8} -C examples
tar xzf %{SOURCE9} -C examples
# order mess with docs somewhat
mkdir -p docs/html
mv htmlman docs/html/ocaml
cp %{SOURCE2} docs/ocaml.ps.gz
mv camlp4-%{p4ver}-manual.html docs/html/camlp4
cp %{SOURCE5} docs/camlp4.ps.gz
mv camlp4-%{p4ver}-tutorial.html docs/html/camlp4-tutorial
cp %{SOURCE7} docs/camlp4-tutorial.ps.gz
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build 
cp -f /usr/share/automake/config.sub config/gnu
./configure \
        -cc "%{__cc}" \
	-bindir %{_bindir} \
	-libdir %{_libdir}/%{name} \
	-mandir %{_mandir}/man1 \
	-host %{_host} \
	%{!?with_tk:-no-tk} \
	-with-pthread \
	-x11lib %{_libdir}

%{__make} -j1 world bootstrap opt.opt CFLAGS="%{rpmcflags} -Wall"
%{__make} -C tools objinfo CFLAGS="%{rpmcflags} -Wall" -j1

# broken build system
sed -e 's,LIBDIR,%{_libdir},' camlp4/man/camlp4.1.tpl > camlp4/man/camlp4.1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_infodir},%{_examplesdir}/%{name}-{labltk-,}%{version}}
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/site-lib

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/%{name} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

cat > $RPM_BUILD_ROOT%{_libdir}/%{name}/ld.conf <<EOF
%{_libdir}/%{name}/stublibs
%{_libdir}/%{name}
EOF

%if %{with emacs}
%{__make} -C emacs install \
	DESTDIR=$RPM_BUILD_ROOT \
	EMACSDIR="$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp" \
	EMACS="emacs"
%endif

# symlink .opt versions of compilers (if present)
# warning: don't do that with camlp4 (can't load extensions then)
for f in ocamlc ocamlopt ocamldoc ocamllex; do
	if test -f $RPM_BUILD_ROOT%{_bindir}/$f.opt; then
		mv -f $RPM_BUILD_ROOT%{_bindir}/$f \
			$RPM_BUILD_ROOT%{_bindir}/$f.byte
		ln -sf %{_bindir}/$f.opt $RPM_BUILD_ROOT%{_bindir}/$f
	fi
done

# move includes to the proper place
mv -f $RPM_BUILD_ROOT%{_libdir}/%{name}/caml $RPM_BUILD_ROOT%{_includedir}/caml
# but leave compatibility symlink
ln -s ../../include/caml $RPM_BUILD_ROOT%{_libdir}/%{name}/caml

# compiled sources of compiler, needed by some programs
for f in {asm,byte}comp parsing typing utils ; do
	install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/compiler/$f
	cp $f/*.{cmi,cmo,cmx,o} $RPM_BUILD_ROOT%{_libdir}/%{name}/compiler/$f
done

# this isn't installed by default, but is useful
install tools/objinfo $RPM_BUILD_ROOT%{_bindir}/ocamlobjinfo
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r otherlibs/labltk/examples* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-labltk-%{version}
ln -sf %{_libdir}/%{name}/{scrape,add}labels $RPM_BUILD_ROOT%{_bindir}

# shutup checkfiles
%{__rm} -r $RPM_BUILD_ROOT%{_mandir}/man3
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/labltk/{labltktop,pp}

# install info pages
cp -f infoman/*.gz $RPM_BUILD_ROOT%{_infodir}

# broken build system
install camlp4/man/camlp4.1 $RPM_BUILD_ROOT%{_mandir}/man1
for f in camlp4o.1 camlp4r.1 mkcamlp4.1 camlp4o.opt.1 camlp4r.opt.1 ; do
	echo '.so camlp4.1' >$RPM_BUILD_ROOT%{_mandir}/man1/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	doc-info -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	doc-info -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc LICENSE Changes README Upgrading
%attr(755,root,root) %{_bindir}/addlabels
%attr(755,root,root) %{_bindir}/ocaml*
%attr(755,root,root) %{_bindir}/scrapelabels
%{?with_tk:%exclude %{_bindir}/ocamlbrowser}
%exclude %{_bindir}/ocamlrun
%{_includedir}/caml
%{_libdir}/%{name}/caml
%{_libdir}/%{name}/threads
%dir %{_libdir}/%{name}/vmthreads
%dir %{_libdir}/%{name}/vmthreads/*.cm*
%dir %{_libdir}/%{name}/vmthreads/*.a
%{_libdir}/%{name}/*.a
%{_libdir}/%{name}/*.o
%{_libdir}/%{name}/*.cm*
%exclude %{_libdir}/%{name}/*graphics*
%{_libdir}/%{name}/Makefile.config
%{_libdir}/%{name}/ld.conf
%{_libdir}/%{name}/camlheader
%{_libdir}/%{name}/camlheader_ur
%{_libdir}/%{name}/ocamlbuild
%dir %{_libdir}/%{name}/ocamldoc
%{_libdir}/%{name}/ocamldoc/*.hva
%attr(755,root,root) %{_libdir}/%{name}/expunge
%attr(755,root,root) %{_libdir}/%{name}/extract_crc
%attr(755,root,root) %{_libdir}/%{name}/objinfo_helper
%{_mandir}/man1/ocaml*
%exclude %{_mandir}/man1/ocamlrun.1*

%files runtime
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ocamlrun
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/site-lib
%dir %{_libdir}/%{name}/stublibs
%attr(755,root,root) %{_libdir}/%{name}/stublibs/dll*.so
%exclude %{_libdir}/%{name}/stublibs/dllgraphics.so
%attr(755,root,root) %{_libdir}/%{name}/libcamlrun_shared.so
%if %{with tk}
%exclude %{_libdir}/%{name}/stublibs/dlllabltk.so
%endif
%{_mandir}/man1/ocamlrun.1*

%files lib-source
%defattr(644,root,root,755)
%{_libdir}/%{name}/*.ml
%{_libdir}/%{name}/*.mli
%{_libdir}/%{name}/*/*.mli

%files doc-html
%defattr(644,root,root,755)
%doc docs/html/ocaml/*

%files doc-ps
%defattr(644,root,root,755)
%doc docs/*.ps.gz

%files doc-info
%defattr(644,root,root,755)
%{_infodir}/ocaml.info*

# they are poor, html is much better
#%files manpages
#%%{_mandir}/man3/*

%if %{with emacs}
%files emacs
%defattr(644,root,root,755)
%{_datadir}/emacs/site-lisp/*.el*
%endif

%if %{with tk}
%files labltk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/stublibs/dlllabltk.so

%files labltk-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/labltk
%attr(755,root,root) %{_bindir}/ocamlbrowser
%dir %{_libdir}/%{name}/labltk
%{_libdir}/%{name}/labltk/*.cm*
%{_libdir}/%{name}/labltk/*.a
%{_libdir}/%{name}/labltk/*.o
%attr(755,root,root) %{_libdir}/%{name}/labltk/tkcompiler
%{_examplesdir}/%{name}-labltk-%{version}
%endif

%if %{with x}
%files x11graphics
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/stublibs/dllgraphics.so

%files x11graphics-devel
%defattr(644,root,root,755)
%{_libdir}/%{name}/graphics*.cm*
%{_libdir}/%{name}/graphics.a
%{_libdir}/%{name}/libgraphics.a
%endif

%files camlp4
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/camlp4*
%attr(755,root,root) %{_bindir}/mkcamlp4
%{_libdir}/%{name}/camlp4
%{_mandir}/man1/camlp4*.1*
%{_mandir}/man1/mkcamlp4.1*

%files camlp4-doc-html
%defattr(644,root,root,755)
%doc docs/html/camlp4*

%files compiler-objects
%defattr(644,root,root,755)
%{_libdir}/%{name}/compiler

%files ocamldoc-devel
%defattr(644,root,root,755)
%{_libdir}/%{name}/ocamldoc/*.cm*
%{_libdir}/%{name}/ocamldoc/*.a

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml.spec,v $
Revision 1.133  2012/06/14 17:45:00  pluto
- binutils soname changed
- release 10

Revision 1.132  2012/05/08 19:42:08  arekm
- release 9

Revision 1.131  2012/04/26 06:48:06  arekm
- release 8

Revision 1.130  2012/02/01 21:48:02  arekm
- release 7

Revision 1.129  2011/11/20 09:18:06  arekm
- release 6

Revision 1.128  2011/10/20 19:06:15  arekm
- release 5

Revision 1.127  2011/08/31 18:30:32  arekm
- release 4

Revision 1.126  2011/07/26 16:15:30  baggins
- release 3

Revision 1.125  2011/07/26 16:14:54  baggins
- release 2

Revision 1.124  2011/07/15 11:27:52  baggins
- rel 1

Revision 1.123  2011/07/15 11:17:21  baggins
- updated to 3.12.1

Revision 1.122  2011/04/07 09:35:03  baggins
- rel 2
- BR emacs, as it doesn't build with xemcas
- removed utterly stupid emacs binary guesswork that caused non-deterministic
  builds if both emacs and xemacs were installed

Revision 1.121  2011/03/13 08:16:38  qboosh
- updated to 3.12.0
- updated CFLAGS patch
- removed obsolete objinfo patch
- added gas patch to fix .size problem detected by recent gas/binutils
- needs some testing

Revision 1.120  2011/01/29 00:07:06  sparky
- dropped pre-cvs changelog

Revision 1.119  2009/02/16 12:03:33  baggins
- 3.11.0

Revision 1.118  2008/05/31 23:43:36  qboosh
- updated to 3.10.2

Revision 1.117  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.116  2008-01-19 16:57:34  qboosh
- package Makefile.config
- converted forgotten old-style tk bcond

Revision 1.115  2008-01-17 10:31:47  tommat
- up to 3.10.1

Revision 1.114  2007-08-05 08:06:43  qboosh
- install camlp4 manuals again

Revision 1.113  2007/07/31 09:23:47  arekm
- rel 2; rebuild with db4.6

Revision 1.112  2007/07/15 18:44:10  arekm
- up to 3.10.0

Revision 1.111  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.110  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.109  2006/11/23 19:34:43  qboosh
- updated to 3.09.3, pure fun updated to 1.0.6
- dropped unused-var-warning patch (nobody cared)
- dropped obsolete db3 bcond

Revision 1.108  2006/11/23 05:17:53  sls
- added as_needed.patch
- rel. up to 2

Revision 1.107  2006/04/22 22:39:16  qboosh
- updated to 3.09.2, updated db3 patch

Revision 1.106  2006/02/12 11:28:01  pluto
- modular xorg BRs, pass -fno-strict-aliasing, release 2.

Revision 1.105  2006/01/15 18:10:48  qboosh
- updated to 3.09.1 (bugfixes)

Revision 1.104  2005/12/10 20:19:42  qboosh
- reorders (keep the same subpackage order in preamble and files, -devel after base)

Revision 1.103  2005/12/10 00:24:12  baggins
- updated to 3.09

Revision 1.102  2005/11/04 21:03:15  twittner
- CFLAGS fixes (5 sed invokations replaced with patch)

Revision 1.101  2005/10/11 10:14:43  paszczus
- -j1 only in one case

Revision 1.100  2005/10/11 09:41:45  paszczus
- force -j1 cause simulationus build failed

Revision 1.99  2005/08/26 17:13:12  twittner
- added ocaml-doc-info subpkg (but info page suffer from
  lack of index).
- moved html docs in separate subpkgs: ocaml-doc-html,
  ocaml-camlp4-doc-html. Updated descriptions.
- replace (by editing Makefiles by sed) hardcoded `-O',
  `-pg', `-DPROFILING' with $(CFLAGS). Allow passing
  CFLAGS="%%{rpmcflags}" directly to make. BR: sed >= 4.0
- rel. 2

Revision 1.98  2005/08/15 15:59:03  qboosh
- updated to 3.08.4, removed outdated gcc-pr21291-workaround patch
- updated pure-fun and ds-contrib source URL

Revision 1.97  2005/05/02 18:27:33  mmazur
- rel 4; builds with tk8.5 and gcc4

Revision 1.96  2005/04/29 19:58:17  pluto
- relese 3 for Th (2 for Ac, 1 tagged accidental with auto-th-*).

Revision 1.95  2005/03/27 15:09:40  qboosh
- updated to 3.08.3, removed obsolete mano patch

Revision 1.94  2004/12/12 20:18:15  dobrek
- upgrade to 3.08.2

Revision 1.93  2004/09/02 14:36:06  snurf
- typos / formatting / etc.

Revision 1.92  2004/08/27 20:42:19  qboosh
- use name macro in internal deps

Revision 1.91  2004/08/27 20:25:21  havner
- epoch 1 follow AC-branch

Revision 1.90  2004/08/25 21:57:12  grzegol
- updated to 3.08.1

Revision 1.89  2004/07/21 21:57:00  qboosh
- 3.07-patch2 and emacs_batch_mode patches obsolete

Revision 1.88  2004/07/21 19:45:02  pawelb
- proper http path
- added ocaml-mano.patch

Revision 1.87  2004/07/21 12:32:41  domelu
- revert source0 change (this is 3.08.0)
- cosmetics

Revision 1.86  2004/07/21 12:25:15  domelu
- removed some patches: mano.patch, unused-var-warning.patch,
  3.07-patch2.diffs

Revision 1.85  2004/07/21 00:39:36  pawelb
- up to 3.08

Revision 1.84  2004/05/07 14:05:57  qboosh
- fixed x11graphics build; release 8

Revision 1.83  2004/04/08 15:41:51  averne
- added P: ocaml-devel for clean upgrade from Ra.

Revision 1.82  2004/01/05 20:38:05  undefine
- release 6, fixes x11libdir to allow build on amd64

Revision 1.81  2003/12/03 20:19:58  speedy
- release 5
- removed "emacs-batch-mode" patch.

Revision 1.80  2003/12/02 16:15:03  mmazur
- rel 4 to rebuild with new db

Revision 1.79  2003/11/03 20:28:16  ciesiel
- enable building without emacs - inspired by Zbigniew Bryczkowski :) thx

Revision 1.78  2003/11/02 18:54:38  ciesiel
- BR

Revision 1.77  2003/10/23 18:56:37  malekith
- add offical patch #2
- remove labl-fix patch (included in official patch)
- release 3

Revision 1.76  2003/10/04 13:44:16  gotar
- unified bconds

Revision 1.75  2003/10/02 21:50:20  malekith
- add camlp4-labl-fix patch that should fix some camlp4 problems (absent
  from beta2)
- release 2

Revision 1.74  2003/10/02 13:50:54  baggins
- release 1
- works

Revision 1.73  2003/10/02 10:53:22  baggins
- 3.07

Revision 1.72  2003/09/12 22:41:01  blues
- standarization

Revision 1.71  2003/09/09 10:24:23  ankry
- spaces -> tab

Revision 1.70  2003/09/03 22:25:30  malekith
- release beta.2
- added unused-var patch

Revision 1.69  2003/09/03 20:35:00  blues
- simplified

Revision 1.68  2003/08/26 09:39:07  malekith
- cleanup

Revision 1.67  2003/08/26 09:24:13  malekith
- started upgrade to 3.07beta2

Revision 1.66  2003/08/26 08:48:14  malekith
- new style bconds

Revision 1.65  2003/08/18 08:08:23  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.64  2003/06/26 14:07:01  troll
Updated Sources 0, 1 and 2.

Revision 1.63  2003/06/19 11:56:09  qboosh
- added tk8.4 patch, now ready for tcl/tk 8.4.3
- simplified prep, made it clean-friendly

Revision 1.62  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.61  2003/05/25 05:51:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.60  2003/02/28 10:08:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.59  2003/02/25 12:49:30  malekith
- added Obsoletes: ocaml-devel for ocaml-compiler-objects; suggested
  by qboosh.

Revision 1.58  2003/02/25 10:57:09  malekith
- renamed ocaml-devel to ocaml-compiler-objects; this subpackage isn't
  probably needed for anything right now, and name was *very* misleading
- release 3

Revision 1.57  2003/01/23 17:07:53  qboosh
- use db 4.x by default

Revision 1.56  2002/12/03 15:01:34  ankry
changes by Cezary Kaliszyk:
- pl translation fixes, typos
- added .mli files
- changes EMACSDIR

Revision 1.55  2002/11/11 02:15:06  qboosh
- defattr for examples

Revision 1.54  2002/11/10 14:26:22  malekith
- this is strange, exclude cries about absent files

Revision 1.53  2002/11/10 14:12:16  malekith
- fixed --without tk

Revision 1.52  2002/11/10 14:11:01  malekith
- removed junk

Revision 1.51  2002/11/10 14:10:15  malekith
- fixed examples

Revision 1.50  2002/11/10 13:56:08  malekith
- added examples subpackage with pure-fun
- release 2

Revision 1.49  2002/08/23 12:20:51  malekith
- cleanup; few fixed
- finished

Revision 1.48  2002/08/23 11:44:26  malekith
- updated to 3.06, nfy

Revision 1.47  2002/08/12 11:56:58  malekith
- obsoletes, provides: ocaml-ocamldoc.spec

Revision 1.46  2002/08/09 11:41:51  malekith
- fixed URLS, there are no .ps for camlp4, use dvi instead
- renumber patches

Revision 1.45  2002/08/09 11:14:39  malekith
- updated to 3.05 (however don't install it on builders; 3.06 will be soon
  out)
- doc subpackage is now back doc-ps (the same documentation is in main
  package; ps is for print)
- new subpackages: ocamldoc-devel and lib-source
- ppc fix now in main sources
- dynlink with ocamlc.opt should also now work (havn't check it yet though)
- clean files -- use %%exclude

Revision 1.44  2002/06/04 23:32:01  kloczek
- rename doc-ps package to doc.

Revision 1.43  2002/06/03 15:27:58  malekith
- ugly hack for db3 removed (now patch is ugly)

Revision 1.42  2002/05/22 11:18:42  malekith
- camlp4 manual moved to ocaml-camlp4 subpackage

Revision 1.41  2002/05/21 13:52:42  malekith
- removed info documentation from main package (it is heavilly broken)
  added HTML in place of it, and thus removed doc-html subpackage

Revision 1.40  2002/05/21 12:53:52  malekith
- rel 9, new version of opt-symbols patch (fixes problems with linking dml
  with ocamlc.opt)
- new %doc stuff

Revision 1.39  2002/05/13 11:57:23  malekith
- release 8

Revision 1.38  2002/05/13 11:06:03  malekith
- fixed previous commit message

Revision 1.37  2002/05/13 10:54:07  malekith
- move compiler sources into subdirectories, as they were in sources

Revision 1.36  2002/05/10 11:40:49  malekith
- typo

Revision 1.35  2002/05/10 11:24:42  malekith
- added -opt-symbols patch to fix problems with -threads with .opt compiler
  (patch partially from ocaml cvs)
- removed dirty mktop hack, thous
- includes moved to %%{_includedir}/caml
- fixed making symlink for labltk
- added labltk examples

Revision 1.34  2002/05/09 14:30:17  malekith
- documentation doesn't require ocaml
- separated new package -- ocaml-runtime with ocamlrun and dll*.so
- also labltk and x11graphics split into base with just dll*.so and -devel
- added -devel subpackage with compiled sources of compiler (required to
  compile some programs)
- added objinfo patch, so objinfo will print out info about .cmx*
- install objinfo as ocamlobjinfo
- release 7
- *NFY*

Revision 1.33  2002/04/29 15:06:49  malekith
- strip IS safe
- however camlp4* cannot be native-compiled
- added missing dynlink.*

Revision 1.32  2002/04/29 14:07:27  baggins
- release 6
- DON'T STRIP!!!

Revision 1.31  2002/04/18 13:00:19  malekith
- added patch for powerpc native compiler
- rel 5

Revision 1.30  2002/04/10 11:17:52  malekith
- don't build optp4 on ppc (it's broken, use bytecode there)

Revision 1.29  2002/03/03 22:28:12  filon
- added builidng also optimized camlp4
- optimized camlp4{o,r} moved as default, put it all in for loop
- release 4

Revision 1.28  2002/02/23 04:05:44  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/18 19:40:27  filon
- fixed use of _without_x11
- release 3

Revision 1.25  2002/02/13 19:58:12  malekith
- fixed URL:

Revision 1.24  2002/02/13 19:23:58  kloczek
- adapterized and some cosmetics.

Revision 1.23  2002/02/13 17:30:52  malekith
- added /usr/lib/ocaml/ld.conf
- release 2

Revision 1.22  2002/02/02 13:51:35  malekith
- updated to 3.04
- is now split into modules (main package doesn't require X11 anymore)
- camlp4 is now included in sources (thus camlp4.spec is obsolute)

Revision 1.21  2002/01/18 02:14:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.19  2001/10/29 20:45:32  filon
- added html and ps docs
- added _without_emacs bcond
- added subpackages for docs
- release 3

Revision 1.18  2001/10/10 15:40:27  zagrodzki
- release 2
- s/host_alias/host
- don't strip (breaks bytecode-based binaries)

Revision 1.17  2001/10/04 20:10:33  ankry
- fixed xemacs BuildRequires

Revision 1.16  2001/10/03 18:28:02  zagrodzki
- updated to 3.02

Revision 1.15  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.13  2001/06/22 12:38:10  klakier
- info dir fixed

Revision 1.12  2001/06/20 22:06:47  klakier
- removed html docs
- added info docs

Revision 1.11  2001/05/31 11:55:00  malekith
- added BuildRequires: xemacs

Revision 1.10  2001/05/27 18:09:45  kloczek
- some cosmetics,
- added BuildRequires rules.

Revision 1.9  2001/05/23 11:42:58  dobrek
- Upgraded to 3.01

Revision 1.8  2001/05/02 16:29:09  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2000/12/06 02:38:52  agaran
Just passed trough adapter

Revision 1.6  2000/06/28 10:38:23  mis
- typos

Revision 1.5  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/02 21:23:10  baggins
- fixed version, minor cleanup

Revision 1.3  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.1  2000/03/27 15:50:47  misiek
- obiektowy caml
